> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Blocktrade

> Returns block trade data, which includes unusually large trades that may indicate institutional trading activity

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "block_trade": [
      {
        "ask": "30.7",
        "bid": "30.13",
        "count": 1,
        "date": "2026-01-06",
        "description": "Block Trade: CFLT 2.2M @ $30.15",
        "exchange": "NASDAQ",
        "executing_exchange": "L",
        "id": "695d0f6d8f047b0001fefed9",
        "name": "Confluent",
        "price": "30.15",
        "sale_conditions": "@ TW",
        "size": "2216727",
        "ticker": "CFLT",
        "time": "08:34:34",
        "updated": 1767706477
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v1/signal/block_trade
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/signal/block_trade:
    get:
      tags:
        - Block Trade
      summary: BlockTrade V1
      description: >-
        Returns block trade data, which includes unusually large trades that may
        indicate institutional trading activity
      operationId: get-block-trade-v1
      parameters:
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date. Default is 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pageSize
          schema:
            type: integer
            default: 100
        - description: Start date in YYYY-MM-DD format
          in: query
          name: date_from
          schema:
            type: string
            format: date
        - description: End date in YYYY-MM-DD format
          in: query
          name: date_to
          schema:
            type: string
            format: date
        - description: One or more ticker symbols separated by a comma. Maximum 50 tickers
          in: query
          name: tickers
          schema:
            type: string
            format: csv
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: updated
          schema:
            type: integer
      responses:
        '200':
          description: Block Trade
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BlockTradeResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.BlockTradeResponse:
      description: API response containing an array of block trade records
      properties:
        block-trade:
          items:
            $ref: '#/components/schemas/calendarapi.BlockTrade'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.BlockTrade:
      properties:
        ask:
          example: '185.44'
          type: string
        bid:
          example: '185.40'
          type: string
        count:
          example: 1
          type: integer
        cusip:
          example: 37833100
          type: string
        date:
          example: '2024-01-09'
          type: string
        description:
          example: Large institutional trade
          type: string
        exchange:
          example: NASDAQ
          type: string
        executing_exchange:
          example: Q
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5b4
          type: string
        importance:
          example: 4
          type: integer
        isin:
          example: US0378331005
          type: string
        name:
          example: Apple Inc.
          type: string
        price:
          example: '185.42'
          type: string
        sale_conditions:
          example: '@'
          type: string
        size:
          example: '500000'
          type: string
        ticker:
          example: AAPL
          type: string
        time:
          example: '15:45:30'
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````